Get a pack of binary data to send in a single frame.

- « Swoole\WebSocket\Server::on

- Swoole\WebSocket\Server::push »

- PHP Manual
- Swoole\WebSocket\Server
- Get a pack of binary data to send in a single frame.

# Swoole\WebSocket\Server::pack

(PECL swoole >= 1.9.0)

Swoole\WebSocket\Server::pack — Get a pack of binary data to send in a single frame.

### Description

public static Swoole\WebSocket\Server::pack(
string `$data`,
string `$opcode` = ?,
string `$finish` = ?,
string `$mask` = ?
): binary

### Parameters

`data`

`opcode`

`finish`

`mask`

### Return Values